## deepin-camera 1.3.5

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
project(deepin-camera VERSION 1.0.0)
set(CMD_NAME deepin-camera)
set(TARGET_NAME deepin-camera)
#option (__mips__ "Use UNITTEST" ON)

# cube文件目录，libvisualresult在打包时，会自动将cube文件安装到share目录下
set(LUT_DIR "/usr/share/libimagevisualresult/filter_cube")
add_definitions(-DLUT_DIR="${LUT_DIR}")
#add_definitions(-D__mips__)


# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
else()
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -g -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3  -Wl,--as-need -fPIE")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif()

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

set(PROJECT_INCLUDE
    ../
    ./src/
    ../libcam/libcam_v4l2core
    ../libcam/libcam_render
    ../libcam/libcam_encoder
    ../libcam/libcam_audio
    ../libcam/libcam
    ./src/basepub
    ./src/qtsingleapplication
    ./src/accessibility
    ./src/accessible
    /usr/include
    /usr/include/libusb-1.0
    )
    
# 设置Qt模块
set(QtModule Core Gui Widgets DBus Concurrent LinguistTools Multimedia PrintSupport Svg)

# 查找Qt相关的库链接
find_package(Qt5 REQUIRED ${QtModule})
find_package(PkgConfig REQUIRED)

file (GLOB_RECURSE CXXSOURCES
    ./src/*.cpp
    ./*.cpp
    )

file (GLOB_RECURSE CSOURCES
    ./src/*.c
    ../libcam/*.c
    ./src/basepub/*.c
    )

file (GLOB_RECURSE HEADERS
    ./src/*.h
    ../libcam/*.h
    ./src/basepub/*.h
    ./src/qtsingleapplication/*.h
    ./src/accessibility/*.h
    ./src/accessible/*.h
    )

file (GLOB_RECURSE RESOURCES  ${PROJECT_SOURCE_DIR}/assets/assets.qrc)

pkg_check_modules(3rd_lib REQUIRED
        dtkwidget dtkcore
#        libv4l2
#        libudev
#        libusb-1.0
#        libavcodec
#        libavutil
#        libavformat
#        libswscale
#        libpng
#        sdl2
#        libpulse
#        libswresample
        )

# 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)

file (GLOB TS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/translations/${TARGET_NAME}*.ts)
#message(STATUS "qm")
#message(STATUS ${PROJECT_SOURCE_DIR})

#file(GLOB files LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/translations/${CMD_NAME}*.ts)
#foreach(file IN LISTS files)
#    message(STATUS ${cur})
#endforeach(file)

set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

qt5_create_translation(QM ${CXXSOURCES} ${TS})

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${CXXSOURCES} ${TS})
endif ()

# 设置不删除生成的文件夹内容文件
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)


add_executable( ${TARGET_NAME} ${CXXSOURCES} ${CSOURCES} ${RESOURCES} ${QM} )

target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})
# 将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES}
    pthread
    dl
    imagevisualresult
    )

# 将工程与Qt模块链接起来
qt5_use_modules(${TARGET_NAME} ${QtModule})

#application
install(TARGETS ${TARGET_NAME} DESTINATION /usr/bin)

#desk desktop
install(FILES ${PROJECT_SOURCE_DIR}/deepin-camera.desktop
    DESTINATION /usr/share/applications)

#table desktop
install(FILES ${PROJECT_SOURCE_DIR}/table/deepin-camera.desktop
    DESTINATION /usr/share/due-shell/shortcuts)

#icons
install(FILES ${PROJECT_SOURCE_DIR}/assets/deepin-camera.svg
    DESTINATION /usr/share/icons/hicolor/scalable/apps)

#table_icons
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/panel/Icons DESTINATION /usr/share/due-shell/shortcuts)

#manual
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-camera DESTINATION /usr/share/deepin-manual/manual-assets/application/)

#debus_service
install(FILES ${PROJECT_SOURCE_DIR}/com.deepin.Camera.service DESTINATION /usr/share/dbus-1/services)

##translations
#install(FILES ${PROJECT_SOURCE_DIR}/translations/*.qm DESTINATION /usr/share/${PROJECT_SOURCE_DIR}/translations)

set(APPSHAREDIR  /usr/share/${TARGET_NAME})

#translations
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION ${APPSHAREDIR}
    FILES_MATCHING PATTERN "*.qm")

=== tests/CMakeLists.txt ===

# 设置工程名字
project(deepin-camera-test VERSION 1.0.0)
set(CMD_NAME deepin-camera-test)
set(TARGET_NAME deepin-camera-test)
# 定义需要的cmake版本
cmake_minimum_required(VERSION 3.0)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
option (UNITTEST "Use UNITTEST" ON)
add_definitions(-DUNITTEST)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)



include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(PROJECT_INCLUDE
    ../libcam/libcam_v4l2core
    ../libcam/libcam_render
    ../libcam/libcam_encoder
    ../libcam/libcam_audio
    ../libcam/libcam
    ../src/src/basepub
    ../src/src/accessibility
    ../src/src/accessible
    ../src/src/qtsingleapplication
    ../src/
    ./stub
    /usr/include
    /usr/include/libusb-1.0
    /usr/include/SDL2
    ${PROJECT_SOURCE_DIR}/../deepin-camera
    ${PROJECT_SOURCE_DIR}/googletest/include
    )
# 设置Qt模块
set(QtModule Core Gui Widgets DBus Concurrent LinguistTools Multimedia PrintSupport Svg)

# 查找Qt相关的库链接
find_package(Qt5 REQUIRED ${QtModule})
find_package(PkgConfig REQUIRED)

file (GLOB_RECURSE CXXSOURCES
    ./*.cpp
    ../src/src/basepub/*.cpp
    ../src/src/*.cpp
    ../src/src/qtsingleapplication/*.cpp
    ./stub/*.cpp
    )

file (GLOB_RECURSE CSOURCES
    ../src/src/*.c
    ../libcam/*.c
    ../src/src/basepub/*.c
    )

file (GLOB_RECURSE HEADERS
    ../src/src/basepub/*.h
    ../libcam/*.h
    ../src/src/qtsingleapplication/*.h
    ../src/src/*.h
    ../src/src/accessibility/*.h
    ../src/src/accessible/*.h
    ../tests/*.h
    ./stub/*.h
    ./stub/*.hpp
    )
file (GLOB_RECURSE RESOURCES  ../src/assets/assets.qrc)

add_executable( ${TARGET_NAME} ${CXXSOURCES} ${CSOURCES} ${RESOURCES}
    )


pkg_check_modules(3rd_lib REQUIRED
        dtkgui
        dtkwidget
#        libv4l2
#        libudev
#        libusb-1.0
#        libavcodec
#        libavutil
#        libavformat
#        libswscale
#        libpng
#        sdl2
#        libpulse
#        libswresample
#        libffmpegthumbnailer
        )
# 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)

target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})
# 将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES}
    gtest
    pthread
    Qt5Test
    dl
#    portaudio
#    asound
#    z

    imagevisualresult
    )

# 将工程与Qt模块链接起来
qt5_use_modules(${PROJECT_NAME} ${QtModule})

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

#configure_file(${PROJECT_SOURCE_DIR}/config.h.in  @ONLY)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# 添加gocv覆盖率文件的输出
#set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage")
set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
set(CMAKE_Ｌ_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)

set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)

#add_custom_target(test
#    COMMAND mkdir -p report
#    COMMAND mkdir -p html
#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

#add_custom_command(TARGET test
#    COMMAND echo " ===================CREAT LCOV REPROT==================== "
#    COMMAND lcov --directory ./tests/CMakeFiles/deepin-camera-test.dir --zerocounters
#    COMMAND ./tests/${PROJECT_NAME} --gtest_output=xml:./report/report.xml
#    COMMAND lcov --directory . --capture --output-file ./coverageResult/${PROJECT_NAME}_Coverage.info

#    COMMAND echo " =================== do filter begin ==================== "
#    COMMAND lcov --remove ./coverageResult/${PROJECT_NAME}_Coverage.info 'CMakeFiles/${PROJECT_NAME}.dir/${PROJECT_NAME}_autogen/*/*'
#    '${PROJECT_NAME}_autogen/*/*'
#    'googletest/*/*'
#    '*/usr/include/*'
#    '*/tests/*'
#    '*/src/qtsingleapplication/*'
#    '*/basepub/printoptionspage.cpp'
#    '*/src/src/dbus_adpator.cpp'
#    '*/src/src/settings_translation.cpp'
#    '/usr/local/*'
#    -o ./coverageResult/${PROJECT_NAME}_Coverage_fileter.info
#    COMMAND echo " =================== do filter end ==================== "

#    COMMAND genhtml -o ./coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage_fileter.info
#    COMMAND echo " -- Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "
#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
#    )
#add_dependencies(test ${PROJECT_NAME})

## deepin-camera 1.0.0.15

=== debian/changelog ===
deepin-camera (1.0.0.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 Nov 2020 11:30:27 +0800

deepin-camera (1.0.0.8) unstable; urgency=low

  * Initial release 

 -- Cetu Shi <shicetu@uniontech.com>  Wed, 24 Feb 2016 14:15:54 +0800

=== debian/control ===
Source: deepin-camera
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),
 pkg-config,qtbase5-dev,libdtkgui-dev,libdtkwidget-dev,
 libavutil-dev, libavformat-dev, libavcodec-dev,libavfilter-dev,
 qttools5-dev-tools,deepin-gettext-tools,libdframeworkdbus-dev,
 libv4l-dev,libsdl2-dev,portaudio19-dev,libpng-dev,libasound2-dev,
 libusb-1.0-0-dev,zlib1g-dev,libudev-dev,libswscale-dev,libswresample-dev,libffmpegthumbnailer-dev,
 libx11-dev,libva-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-camera
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-api
Description: This package software for  UOS
 This package is a tool to view camera, and also a smart take photo and video in life.

## deepin-camera 1.3.5

=== debian/changelog ===
deepin-camera (1.3.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 23 Dec 2021 17:52:43 +0800

deepin-camera (1.0.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800

=== debian/control ===
Source: deepin-camera
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),cmake,
 pkg-config,qtbase5-dev,libdtkgui-dev,libdtkwidget-dev,qtmultimedia5-dev,
 libavutil-dev, libavformat-dev, libavcodec-dev,libavfilter-dev,qttools5-dev,
 qttools5-dev-tools,deepin-gettext-tools,libdframeworkdbus-dev,
 libv4l-dev,libsdl2-dev,portaudio19-dev,libpng-dev,libasound2-dev,
 libusb-1.0-0-dev,zlib1g-dev,libudev-dev,libswscale-dev,libswresample-dev,libffmpegthumbnailer-dev,
 libx11-dev,libva-dev,libimageeditor-dev
Standards-Version: 4.1.2
Homepage: http://www.deepin.org

Package: deepin-camera
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libasound2 (>= 1.0.16), libavcodec58 (>= 7:4.0), libavformat58 (>= 7:4.1), libavutil56 (>= 7:4.0), libdtkcore5, libdtkgui5, libdtkwidget5, libffmpegthumbnailer4v5, libgl1, libpng16-16 (>= 1.6.2-1), libportaudio2 (>= 19+svn20101113), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.11.0~rc1), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.8.0), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0~alpha1), libqt5x11extras5 (>= 5.6.0), libqt5xml5 (>= 5.0.2), libsdl2-2.0-0 (>= 2.0.9), libstdc++6 (>= 7), libswresample3 (>= 7:4.0), libswscale5 (>= 7:4.0), libudev1 (>= 183), libusb-1.0-0 (>= 2:1.0.8), libv4l-0 (>= 0.5.0), zlib1g (>= 1:1.1.4), 
 dde-api
Description:this package software for  UOS
 deepin-camera is a tool to view camera, and also a smart take photo and video in life.

## deepin-camera 1.3.9

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -81,7 +81,7 @@
 
 pkg_check_modules(3rd_lib REQUIRED
         dtkgui
-        dtkwidget
+        dtkwidget gstreamer-1.0 gstreamer-app-1.0
 #        libv4l2
 #        libudev
 #        libusb-1.0

=== debian/changelog ===
deepin-camera (1.3.9-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 10:20:24 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qttools5-dev-tools,deepin-gettext-tools,libdframeworkdbus-dev,
  libv4l-dev,libsdl2-dev,portaudio19-dev,libpng-dev,libasound2-dev,
  libusb-1.0-0-dev,zlib1g-dev,libudev-dev,libswscale-dev,libswresample-dev,libffmpegthumbnailer-dev,
- libx11-dev,libva-dev,libimageeditor-dev
+ libx11-dev,libva-dev,libimageeditor-dev,libgstreamer1.0-dev,libgstreamer-plugins-base1.0-dev,gstreamer1.0-plugins-good
 Standards-Version: 4.1.2
 Homepage: http://www.deepin.org
 
@@ -20,5 +20,6 @@
  ${misc:Depends},
  libasound2 (>= 1.0.16), libavcodec58 (>= 7:4.0), libavformat58 (>= 7:4.1), libavutil56 (>= 7:4.0), libdtkcore5, libdtkgui5, libdtkwidget5, libffmpegthumbnailer4v5, libgl1, libpng16-16 (>= 1.6.2-1), libportaudio2 (>= 19+svn20101113), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.11.0~rc1), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.8.0), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0~alpha1), libqt5x11extras5 (>= 5.6.0), libqt5xml5 (>= 5.0.2), libsdl2-2.0-0 (>= 2.0.9), libstdc++6 (>= 7), libswresample3 (>= 7:4.0), libswscale5 (>= 7:4.0), libudev1 (>= 183), libusb-1.0-0 (>= 2:1.0.8), libv4l-0 (>= 0.5.0), zlib1g (>= 1:1.1.4), 
  dde-api
+Recommends: libimageeditor
 Description:this package software for  UOS
  deepin-camera is a tool to view camera, and also a smart take photo and video in life.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
SELINUX_DEV ?= $(shell dpkg -l | grep "ii  selinux-policy-dev")

MODULE_NAME=deepin-camera
SELINUX_PP_TEMP_DIR=temp/${MODULE_NAME}
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DH_AUTO_ARGS = --parallel --buildsystem=cmake


override_dh_install:
	mkdir -pv debian/${MODULE_NAME}/${SELINUX_PP_TEMP_DIR} > /dev/null 2>&1
	cp selinux/*.pp* debian/${MODULE_NAME}/${SELINUX_PP_TEMP_DIR}/ > /dev/null 2>&1
	dh_install

## deepin-camera 1.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(deepin-camera VERSION 1.0.0)

add_subdirectory(src)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_subdirectory(tests)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,7 @@
 file (GLOB_RECURSE RESOURCES  ${PROJECT_SOURCE_DIR}/assets/assets.qrc)
 
 pkg_check_modules(3rd_lib REQUIRED
-        dtkwidget dtkcore
+        dtkwidget dtkcore gstreamer-1.0 gstreamer-app-1.0
 #        libv4l2
 #        libudev
 #        libusb-1.0

=== debian/changelog ===
deepin-camera (1.3.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 24 May 2022 11:31:26 +0800

## deepin-camera 1.4.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,7 @@
 file (GLOB_RECURSE RESOURCES  ${PROJECT_SOURCE_DIR}/assets/assets.qrc)
 
 pkg_check_modules(3rd_lib REQUIRED
-        dtkwidget dtkcore gstreamer-1.0 gstreamer-app-1.0
+        dtkwidget dtkcore gobject-2.0
 #        libv4l2
 #        libudev
 #        libusb-1.0
@@ -90,6 +90,7 @@
 #        libpulse
 #        libswresample
         )
+list(APPEND PROJECT_INCLUDE /usr/include/glib-2.0 /usr/include/gstreamer-1.0)
 
 # 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)

=== debian/changelog ===
deepin-camera (1.4.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 13 Jun 2022 17:24:23 +0800

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libasound2 (>= 1.0.16), libavcodec58 (>= 7:4.0), libavformat58 (>= 7:4.1), libavutil56 (>= 7:4.0), libdtkcore5, libdtkgui5, libdtkwidget5, libffmpegthumbnailer4v5, libgl1, libpng16-16 (>= 1.6.2-1), libportaudio2 (>= 19+svn20101113), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.11.0~rc1), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.8.0), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0~alpha1), libqt5x11extras5 (>= 5.6.0), libqt5xml5 (>= 5.0.2), libsdl2-2.0-0 (>= 2.0.9), libstdc++6 (>= 7), libswresample3 (>= 7:4.0), libswscale5 (>= 7:4.0), libudev1 (>= 183), libusb-1.0-0 (>= 2:1.0.8), libv4l-0 (>= 0.5.0), zlib1g (>= 1:1.1.4), 
- dde-api
+ libasound2 (>= 1.0.16), libavcodec58 (>= 7:4.0), libavformat58 (>= 7:4.1), libavutil56 (>= 7:4.0), libdtkcore5, libdtkgui5, libdtkwidget5, libffmpegthumbnailer4v5, libgl1, libpng16-16 (>= 1.6.2-1), libportaudio2 (>= 19+svn20101113), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.11.0~rc1), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.8.0), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0~alpha1), libqt5x11extras5 (>= 5.6.0), libqt5xml5 (>= 5.0.2), libsdl2-2.0-0 (>= 2.0.9), libstdc++6 (>= 7), libswresample3 (>= 7:4.0), libswscale5 (>= 7:4.0), libudev1 (>= 183), libusb-1.0-0 (>= 2:1.0.8), libv4l-0 (>= 0.5.0), zlib1g (>= 1:1.1.4), , libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0), dde-api
 Recommends: libimageeditor
 Description:this package software for  UOS
  deepin-camera is a tool to view camera, and also a smart take photo and video in life.

## deepin-camera 1.4.5

=== selinux/Makefile ===
TARGET?=deepin-camera
MODULES?=${TARGET:=.pp.bz2}
SHARE?=/usr/share

all: ${TARGET:=.pp.bz2}

%.pp.bz2: %.pp
	@echo Compressing $^ -\> $@
	bzip2 -9 $^

%.pp: %.te
	make -f ${SHARE}/selinux/devel/Makefile $@

clean:
	rm -f *~  *.tc *.pp *.pp.bz2
	rm -rf tmp *.tar.gz

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,15 +14,19 @@
 add_definitions(-DLUT_DIR="${LUT_DIR}")
 #add_definitions(-D__mips__)
 
+include(GNUInstallDirs)
+if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif ()
 
 # 加速编译优化参数
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
-    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
-    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
+    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed -fPIE")
+    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed -fPIE")
     SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
 else()
-    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -g -Wl,--as-need -fPIE")
-    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3  -Wl,--as-need -fPIE")
+    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -g -Wl,--as-needed -fPIE")
+    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3  -Wl,--as-needed -fPIE")
     SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
 endif()
 
@@ -129,35 +133,31 @@
 qt5_use_modules(${TARGET_NAME} ${QtModule})
 
 #application
-install(TARGETS ${TARGET_NAME} DESTINATION /usr/bin)
+install(TARGETS ${TARGET_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 #desk desktop
 install(FILES ${PROJECT_SOURCE_DIR}/deepin-camera.desktop
-    DESTINATION /usr/share/applications)
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 
 #table desktop
 install(FILES ${PROJECT_SOURCE_DIR}/table/deepin-camera.desktop
-    DESTINATION /usr/share/due-shell/shortcuts)
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/due-shell/shortcuts)
 
 #icons
 install(FILES ${PROJECT_SOURCE_DIR}/assets/deepin-camera.svg
-    DESTINATION /usr/share/icons/hicolor/scalable/apps)
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 
 #table_icons
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/panel/Icons DESTINATION /usr/share/due-shell/shortcuts)
+install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/panel/Icons DESTINATION ${CMAKE_INSTALL_DATADIR}/due-shell/shortcuts)
 
 #manual
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-camera DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-camera DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
 
 #debus_service
-install(FILES ${PROJECT_SOURCE_DIR}/com.deepin.Camera.service DESTINATION /usr/share/dbus-1/services)
-
-##translations
-#install(FILES ${PROJECT_SOURCE_DIR}/translations/*.qm DESTINATION /usr/share/${PROJECT_SOURCE_DIR}/translations)
-
-set(APPSHAREDIR  /usr/share/${TARGET_NAME})
+install(FILES ${PROJECT_SOURCE_DIR}/com.deepin.Camera.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)
 
 #translations
+set(APPSHAREDIR  ${CMAKE_INSTALL_DATADIR}/${TARGET_NAME})
 install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
     DESTINATION ${APPSHAREDIR}
     FILES_MATCHING PATTERN "*.qm")

=== debian/changelog ===
deepin-camera (1.4.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:40:06 +0800

deepin-camera (2.0.0) unstable; urgency=medium

  * New version 2.0.0

 -- fengli <fengli@uniontech.com>  Tue, 13 Jul 2022 10:03:54 +0800

## deepin-camera 1.4.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,11 @@
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
     SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed -fPIE")
     SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed -fPIE")
-    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+    SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
 else()
     SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -g -Wl,--as-needed -fPIE")
     SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3  -Wl,--as-needed -fPIE")
-    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+    SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
 endif()
 
 include_directories(${PROJECT_BINARY_DIR})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 # 设置工程名字
 project(deepin-camera-test VERSION 1.0.0)
@@ -74,6 +77,8 @@
     ./stub/*.hpp
     )
 file (GLOB_RECURSE RESOURCES  ../src/assets/assets.qrc)
+
+configure_file(../src/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)
 
 add_executable( ${TARGET_NAME} ${CXXSOURCES} ${CSOURCES} ${RESOURCES}
     )

=== debian/changelog ===
deepin-camera (1.4.9-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:18:26 +0800

deepin-camera (1.4.9) unstable; urgency=medium

  * New version 1.4.9

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 07 Feb 2023 17:56:54 +0800

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libasound2 (>= 1.0.16), libavcodec58 (>= 7:4.0), libavformat58 (>= 7:4.1), libavutil56 (>= 7:4.0), libdtkcore5, libdtkgui5, libdtkwidget5, libffmpegthumbnailer4v5, libgl1, libpng16-16 (>= 1.6.2-1), libportaudio2 (>= 19+svn20101113), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.11.0~rc1), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.8.0), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0~alpha1), libqt5x11extras5 (>= 5.6.0), libqt5xml5 (>= 5.0.2), libsdl2-2.0-0 (>= 2.0.9), libstdc++6 (>= 7), libswresample3 (>= 7:4.0), libswscale5 (>= 7:4.0), libudev1 (>= 183), libusb-1.0-0 (>= 2:1.0.8), libv4l-0 (>= 0.5.0), zlib1g (>= 1:1.1.4), , libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0), dde-api
-Recommends: libimageeditor
+Recommends: libimageeditor, uos-reporter, deepin-event-log
 Description:this package software for  UOS
  deepin-camera is a tool to view camera, and also a smart take photo and video in life.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh_auto_configure -- \
 	  -DCMAKE_BUILD_TYPE=Release \
 	  -DCMAKE_INSTALL_PREFIX=/usr \
-      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DH_AUTO_ARGS = --parallel --buildsystem=cmake
+      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) 
 
 
 override_dh_install:

## deepin-camera 6.0.11

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 cmake_minimum_required(VERSION 3.0)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -7,17 +11,39 @@
 project(deepin-camera VERSION 1.0.0)
 set(CMD_NAME deepin-camera)
 set(TARGET_NAME deepin-camera)
+find_package(DWayland)
+find_package(KF5Wayland)
+if (NOT DWayland_FOUND)
+    if (${KF5Wayland_VERSION} VERSION_GREATER 5.54.1)
+        option(USE_DEEPIN_WAYLAND "option for wayland support" ON)
+    endif()
+else()
+    option(USE_DEEPIN_WAYLAND "option for wayland support" ON)
+endif()
 #option (__mips__ "Use UNITTEST" ON)
 
 # cube文件目录，libvisualresult在打包时，会自动将cube文件安装到share目录下
 set(LUT_DIR "/usr/share/libimagevisualresult/filter_cube")
 add_definitions(-DLUT_DIR="${LUT_DIR}")
-#add_definitions(-D__mips__)
+
+# 判断系统环境
+#file(STRINGS "/etc/os-version" MAJOR_STR REGEX "MajorVersion")
+execute_process(COMMAND cat /etc/os-version OUTPUT_VARIABLE OS_INFO_STR)
+string(REGEX MATCHALL "MajorVersion=[0-9]+" MAJOR_STR "${OS_INFO_STR}")
+string(REGEX MATCH "[0-9]+" MAJOR_VERSION "${MAJOR_STR}")
+if (MAJOR_VERSION MATCHES "23")
+    message("--------------------- OS_BUILD_V23 on")
+    add_definitions(-DOS_BUILD_V23)
+endif()
 
 include(GNUInstallDirs)
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
+
+if (USE_DEEPIN_WAYLAND)
+  add_definitions("-DUSE_DEEPIN_WAYLAND")
+endif()
 
 # 加速编译优化参数
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
@@ -58,6 +84,17 @@
 find_package(Qt5 REQUIRED ${QtModule})
 find_package(PkgConfig REQUIRED)
 
+include(FindPkgConfig)
+if (USE_DEEPIN_WAYLAND)
+    if (DWayland_FOUND)
+        message("DWayland founded.")
+        add_definitions(-DDWAYLAND)
+    elseif(KF5Wayland_FOUND)
+        message("KF5Wayland founded.")
+        add_definitions(-DKF5WAYLAND)
+    endif()
+endif()
+
 file (GLOB_RECURSE CXXSOURCES
     ./src/*.cpp
     ./*.cpp
@@ -82,6 +119,7 @@
 
 pkg_check_modules(3rd_lib REQUIRED
         dtkwidget dtkcore gobject-2.0
+        pciaccess
 #        libv4l2
 #        libudev
 #        libusb-1.0
@@ -118,6 +156,14 @@
 # 设置不删除生成的文件夹内容文件
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
+if (USE_DEEPIN_WAYLAND)
+    if (DWayland_FOUND)
+        set(LIBS DWaylandClient DWaylandServer)
+    else()
+        message("KF5 environment")
+        set(LIBS KF5::WaylandClient KF5::WaylandServer)
+    endif()
+endif()
 
 add_executable( ${TARGET_NAME} ${CXXSOURCES} ${CSOURCES} ${RESOURCES} ${QM} )
 
@@ -127,7 +173,10 @@
     pthread
     dl
     imagevisualresult
-    )
+    ${LIBS}
+    )
+
+include_directories("/usr/include")
 
 # 将工程与Qt模块链接起来
 qt5_use_modules(${TARGET_NAME} ${QtModule})
@@ -155,9 +204,25 @@
 
 #debus_service
 install(FILES ${PROJECT_SOURCE_DIR}/com.deepin.Camera.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)
+
+# Install camera config file.
+install(FILES assets/camera.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-camera)
+
+##translations
+#install(FILES ${PROJECT_SOURCE_DIR}/translations/*.qm DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_SOURCE_DIR}/translations)
 
 #translations
 set(APPSHAREDIR  ${CMAKE_INSTALL_DATADIR}/${TARGET_NAME})
 install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
     DESTINATION ${APPSHAREDIR}
     FILES_MATCHING PATTERN "*.qm")
+
+#hw机型增加DConfig配置
+set(APPID org.deepin.camera)
+set(configFile ${PROJECT_SOURCE_DIR}/assets/org.deepin.camera.encode.json)
+if (DEFINED DSG_DATA_DIR)
+    message("-- DConfig is supported by DTK")
+    dconfig_meta_files(APPID ${APPID} FILES ${configFile})
+else()
+    install(FILES ${configFile} DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.camera/)
+endif()

=== debian/changelog ===
deepin-camera (6.0.11) unstable; urgency=medium

  * tag 6.0.11 

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 08 Aug 2024 13:56:32 +0800

deepin-camera (6.0.10) unstable; urgency=medium

  * tag 6.0.10

 -- shuaijie <shuaijie@uniontech.com>  Sun, 28 Apr 2024 10:41:02 +0800

deepin-camera (6.0.9) unstable; urgency=medium

  * Update version to 6.0.9(No code changes!)

 -- lijiaxuan <lijiaxuan@uniontech.com>  Fri, 12 Apr 2024 15:26:02 +0800

deepin-camera (6.0.8) unstable; urgency=medium

  * tag 6.0.8

 -- shuaijie <shuaijie@uniontech.com>  Tue, 09 Apr 2024 16:12:13 +0800

deepin-camera (6.0.7) unstable; urgency=medium

  * fix: Fix the issue of crashing when connecting to a USB camera or a laptop with a built-in camera in v23 and starting the camera(Bug: 238775)
  * fix: modify the default video format for recording to webm 2nd(Bug: 237059)

 -- houchengqiu <houchengqiu@uniontech.com>  Tue, 27 Feb 2024 13:54:19 +0800

deepin-camera (6.0.6) unstable; urgency=medium

  * tag 6.0.6 

 -- fengli <fengli@uniontech.com>  Wed, 03 Jan 2024 16:12:13 +0800

deepin-camera (6.0.5) unstable; urgency=medium

  * fix: modify the default video format for recording to webm
  * fix: Resolve the issue of camera icons not being visible in the
    help manual

 -- fengli <fengli@uniontech.com>  Fri, 22 Dec 2023 10:16:55 +0800

deepin-camera (6.0.4) unstable; urgency=medium

  * fix: static image appears blow when opening the camera
  * fix: quick click on satrt/end button during high-resolution recording
    causing crash
  * fix: determine single instance execution through DTK interface 

 -- fengli <fengli@uniontech.com>  Wed, 06 Dec 2023 13:22:50 +0800

deepin-camera (6.0.3) unstable; urgency=medium

  * Merge release/eagle branch changes into the master branch.
  * Fix some bugs: 198571 198939 200273 207319 217973

 -- renbin <renbin@uniontech.com>  Fri, 13 Oct 2023 16:18:50 +0800

deepin-camera (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- shuaijie <shuaijie@uniontech.com>  Fri, 10 March 2023 16:21:00 +0800

deepin-camera (6.0.1) unstable; urgency=medium

  * New version 6.0.1 

 -- muyuankai <muyuankai@uniontech.com>  Mon, 13 Jun 2022 10:40:00 +0800

=== debian/control ===
Source: deepin-camera
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),cmake,
 pkg-config,qtbase5-dev,libdtkgui-dev,libdtkwidget-dev,qtmultimedia5-dev,
 libavutil-dev, libavformat-dev, libavcodec-dev,libavfilter-dev,qttools5-dev,
 qttools5-dev-tools,deepin-gettext-tools,
 libv4l-dev,libsdl2-dev,portaudio19-dev,libpng-dev,libasound2-dev,libpciaccess-dev,
 libusb-1.0-0-dev,zlib1g-dev,libudev-dev,libswscale-dev,libswresample-dev,libffmpegthumbnailer-dev,
 libx11-dev,libva-dev,libimageeditor-dev,
 libdwayland-dev | libkf5wayland-dev,
 libwayland-dev,
 libgstreamer1.0-dev,libgstreamer-plugins-base1.0-dev,gstreamer1.0-plugins-good
Standards-Version: 4.1.2
Homepage: http://www.deepin.org

Package: deepin-camera
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libavcodec58 (>= 7:4.0) | libavcodec60, libavformat58 (>= 7:4.1) | libavformat60, libavutil56 (>= 7:4.0) | libavutil58, libswresample3 (>= 7:4.0) | libswresample4, libswscale5 (>= 7:4.0) | libswscale7,
 libdtkcore5, libdtkgui5, libdtkwidget5,  libffmpegthumbnailer4v5, libgl1, libpng16-16 (>= 1.6.2-1), libportaudio2 (>= 19+svn20101113), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.11.0~rc1),
 libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.8.0), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0~alpha1), libqt5x11extras5 (>= 5.6.0), libasound2 (>= 1.0.16),
 libqt5xml5 (>= 5.0.2), libsdl2-2.0-0 (>= 2.0.9), libstdc++6 (>= 7),  libudev1 (>= 183), libusb-1.0-0 (>= 2:1.0.8), libv4l-0 (>= 0.5.0), zlib1g (>= 1:1.1.4), libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0), dde-api,
 libdwaylandclient5 | libkf5waylandclient5,  libdwaylandserver5 | libkf5waylandserver5
Recommends: libimageeditor, uos-reporter, deepin-event-log
Description:this package software for  UOS
 deepin-camera is a tool to view camera, and also a smart take photo and video in life.

## deepin-camera 6.5.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,19 +11,11 @@
 project(deepin-camera VERSION 1.0.0)
 set(CMD_NAME deepin-camera)
 set(TARGET_NAME deepin-camera)
-find_package(DWayland)
-find_package(KF5Wayland)
-if (NOT DWayland_FOUND)
-    if (${KF5Wayland_VERSION} VERSION_GREATER 5.54.1)
-        option(USE_DEEPIN_WAYLAND "option for wayland support" ON)
-    endif()
-else()
-    option(USE_DEEPIN_WAYLAND "option for wayland support" ON)
-endif()
+
 #option (__mips__ "Use UNITTEST" ON)
 
 # cube文件目录，libvisualresult在打包时，会自动将cube文件安装到share目录下
-set(LUT_DIR "/usr/share/libimagevisualresult/filter_cube")
+set(LUT_DIR "${CMAKE_INSTALL_PREFIX}/share/libimagevisualresult/filter_cube")
 add_definitions(-DLUT_DIR="${LUT_DIR}")
 
 # 判断系统环境
@@ -34,6 +26,10 @@
 if (MAJOR_VERSION MATCHES "23")
     message("--------------------- OS_BUILD_V23 on")
     add_definitions(-DOS_BUILD_V23)
+elseif(MAJOR_VERSION MATCHES "25")
+    message("--------------------- OS_BUILD_V25 on")
+    option(USE_DEEPIN_V25 "option for v25 support" ON)
+    add_definitions(-DOS_BUILD_V25)
 endif()
 
 include(GNUInstallDirs)
@@ -41,8 +37,13 @@
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
 
-if (USE_DEEPIN_WAYLAND)
-  add_definitions("-DUSE_DEEPIN_WAYLAND")
+if(DEFINED LINGLONG_BUILD_ON)
+    # 玲珑构建编译开关
+    add_definitions(-DLINGLONG_BUILD)
+    include_directories(/runtime/include)
+    message(STATUS "LINGLONG_BUILD is ON")
+else()
+    message(STATUS "LINGLONG_BUILD is OFF")
 endif()
 
 # 加速编译优化参数
@@ -73,8 +74,8 @@
     ./src/qtsingleapplication
     ./src/accessibility
     ./src/accessible
-    /usr/include
-    /usr/include/libusb-1.0
+    ${CMAKE_INSTALL_PREFIX}/include
+    ${CMAKE_INSTALL_PREFIX}/include/libusb-1.0
     )
     
 # 设置Qt模块
@@ -85,15 +86,7 @@
 find_package(PkgConfig REQUIRED)
 
 include(FindPkgConfig)
-if (USE_DEEPIN_WAYLAND)
-    if (DWayland_FOUND)
-        message("DWayland founded.")
-        add_definitions(-DDWAYLAND)
-    elseif(KF5Wayland_FOUND)
-        message("KF5Wayland founded.")
-        add_definitions(-DKF5WAYLAND)
-    endif()
-endif()
+
 
 file (GLOB_RECURSE CXXSOURCES
     ./src/*.cpp
@@ -132,7 +125,7 @@
 #        libpulse
 #        libswresample
         )
-list(APPEND PROJECT_INCLUDE /usr/include/glib-2.0 /usr/include/gstreamer-1.0)
+list(APPEND PROJECT_INCLUDE ${CMAKE_INSTALL_PREFIX}/include/glib-2.0 ${CMAKE_INSTALL_PREFIX}/include/gstreamer-1.0)
 
 # 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
 
@@ -156,14 +149,6 @@
 # 设置不删除生成的文件夹内容文件
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
-if (USE_DEEPIN_WAYLAND)
-    if (DWayland_FOUND)
-        set(LIBS DWaylandClient DWaylandServer)
-    else()
-        message("KF5 environment")
-        set(LIBS KF5::WaylandClient KF5::WaylandServer)
-    endif()
-endif()
 
 add_executable( ${TARGET_NAME} ${CXXSOURCES} ${CSOURCES} ${RESOURCES} ${QM} )
 
@@ -176,7 +161,7 @@
     ${LIBS}
     )
 
-include_directories("/usr/include")
+include_directories("${CMAKE_INSTALL_PREFIX}/include")
 
 # 将工程与Qt模块链接起来
 qt5_use_modules(${TARGET_NAME} ${QtModule})

=== debian/changelog ===
deepin-camera (6.5.5) unstable; urgency=medium

  *Fix compact mode adaptation problem 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 08 Nov 2024 13:30:48 +0800

deepin-camera (6.5.4) unstable; urgency=medium

  * remove kwayland-shell env

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 16:54:40 +0800

deepin-camera (6.5.3) unstable; urgency=medium

  * chore: Update linglong build script.

 -- wangrong <wangrong@uniontech.com>  Sat, 19 Oct 2024 15:24:32 +0800

deepin-camera (6.5.2) unstable; urgency=medium

  * chore: linglong package slimming.

 -- wangrong <wangrong@uniontech.com>  Fri, 18 Oct 2024 13:02:23 +0800

deepin-camera (6.5.1) unstable; urgency=medium

  * tag 6.5.1
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-camera (6.5.0) unstable; urgency=medium

  * tag 6.5.0 

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800

=== debian/control ===
Source: deepin-camera
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),cmake,
 pkg-config,qtbase5-dev,libdtkgui-dev,libdtkwidget-dev,qtmultimedia5-dev,
 libavutil-dev, libavformat-dev, libavcodec-dev,libavfilter-dev,qttools5-dev,
 qttools5-dev-tools,deepin-gettext-tools,
 libv4l-dev,libsdl2-dev,portaudio19-dev,libpng-dev,libasound2-dev,libpciaccess-dev,
 libusb-1.0-0-dev,zlib1g-dev,libudev-dev,libswscale-dev,libswresample-dev,libffmpegthumbnailer-dev,
 libx11-dev,libva-dev,libimageeditor-dev,
 libgstreamer1.0-dev,libgstreamer-plugins-base1.0-dev,gstreamer1.0-plugins-good
Standards-Version: 4.1.2
Homepage: http://www.deepin.org

Package: deepin-camera
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libavcodec58 (>= 7:4.0) | libavcodec60, libavformat58 (>= 7:4.1) | libavformat60, libavutil56 (>= 7:4.0) | libavutil58, libswresample3 (>= 7:4.0) | libswresample4, libswscale5 (>= 7:4.0) | libswscale7,
 libdtkcore5, libdtkgui5, libdtkwidget5,  libffmpegthumbnailer4v5, libgl1, libpng16-16 (>= 1.6.2-1), libportaudio2 (>= 19+svn20101113), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.11.0~rc1),
 libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.8.0), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0~alpha1), libqt5x11extras5 (>= 5.6.0), libasound2 (>= 1.0.16),
 libqt5xml5 (>= 5.0.2), libsdl2-2.0-0 (>= 2.0.9), libstdc++6 (>= 7),  libudev1 (>= 183), libusb-1.0-0 (>= 2:1.0.8), libv4l-0 (>= 0.5.0), zlib1g (>= 1:1.1.4), libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0), dde-api
Recommends: libimageeditor, uos-reporter, deepin-event-log
Description:this package software for  UOS
 deepin-camera is a tool to view camera, and also a smart take photo and video in life.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

MODULE_NAME=deepin-camera

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## deepin-camera 6.5.20

=== debian/changelog ===
deepin-camera (6.5.20) unstable; urgency=medium

  * Update version to 6.5.20.

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 11:13:34 +0800

deepin-camera (6.5.19) unstable; urgency=medium

  * Fix linglong build fail

 -- wangrong <wangrong@uniontech.com>  Thu, 17 Apr 2025 20:00:21 +0800

deepin-camera (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18. 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 17 Apr 2025 13:41:30 +0800

deepin-camera (6.5.17) unstable; urgency=medium

  * Update version to 6.5.17

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Apr 2025 16:35:23 +0800

deepin-camera (6.5.16) unstable; urgency=medium

  * [deepin-camera] Updates for project Deepin Camera (#363)

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:47:08 +0800

deepin-camera (6.5.15) unstable; urgency=medium

  * refactor: remove unnecessary shell command from Camera service file (#359)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:53:27 +0800

deepin-camera (6.5.14) unstable; urgency=medium

  * Bump version to 6.5.14

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:50:06 +0800

deepin-camera (6.5.13) unstable; urgency=medium

  * Update version to 6.5.13
  * Update linglong.yaml for new base

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Feb 2025 16:38:49 +0800

deepin-camera (6.5.12) unstable; urgency=medium

  * Update version to 6.5.12

 -- wangrong <wangrong@uniontech.com>  Fri, 07 Feb 2025 13:08:27 +0800

deepin-camera (6.5.11) unstable; urgency=medium

  * Update version to 6.5.11
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Thu, 23 Jan 2025 19:06:25 +0800

deepin-camera (6.5.10) unstable; urgency=medium

  * chore: New version 6.5.10.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 20 Jan 2025 11:48:46 +0800

deepin-camera (6.5.9) unstable; urgency=medium

  * chore: New version 6.5.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 13:32:52 +0800

deepin-camera (6.5.8) unstable; urgency=medium

  * Update version to 6.5.8

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:25:26 +0800

deepin-camera (6.5.7) unstable; urgency=medium

  * Update version to 6.5.7

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:40:11 +0800

deepin-camera (6.5.6) unstable; urgency=medium

  * chore: update linglong version

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 13:38:19 +0800

## deepin-camera 6.5.23

=== debian/changelog ===
deepin-camera (6.5.23) unstable; urgency=medium

  * fix: Update camera markdown formatting

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:25:11 +0800

deepin-camera (6.5.22) unstable; urgency=medium

  * update version to 6.5.22.

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 23 Jun 2025 15:22:58 +0800

deepin-camera (6.5.21) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 14:19:24 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/default.mk
-export QT_SELECT=5
+export QT_SELECT=6
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 MODULE_NAME=deepin-camera

## deepin-camera 6.5.28

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,18 @@
 set(CMD_NAME deepin-camera)
 set(TARGET_NAME deepin-camera)
 
+set(QT_VERSION_MAJOR 6)
+if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    set(DTK_VERSION 6)
+    set(IMAGEVISUALRESULT_SUFFIX "6")
+else()
+    set(IMAGEVISUALRESULT_SUFFIX "")
+endif()
+
 #option (__mips__ "Use UNITTEST" ON)
 
 # cube文件目录，libvisualresult在打包时，会自动将cube文件安装到share目录下
-set(LUT_DIR "${CMAKE_INSTALL_PREFIX}/share/libimagevisualresult/filter_cube")
+set(LUT_DIR "${CMAKE_INSTALL_PREFIX}/share/libimagevisualresult${IMAGEVISUALRESULT_SUFFIX}/filter_cube")
 add_definitions(-DLUT_DIR="${LUT_DIR}")
 
 # 判断系统环境
@@ -79,10 +87,10 @@
     )
     
 # 设置Qt模块
-set(QtModule Core Gui Widgets DBus Concurrent LinguistTools Multimedia PrintSupport Svg)
+set(QtModule Core Gui Widgets DBus Concurrent LinguistTools Multimedia PrintSupport Svg SvgWidgets OpenGL OpenGLWidgets)
 
 # 查找Qt相关的库链接
-find_package(Qt5 REQUIRED ${QtModule})
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED ${QtModule})
 find_package(PkgConfig REQUIRED)
 
 include(FindPkgConfig)
@@ -110,8 +118,28 @@
 
 file (GLOB_RECURSE RESOURCES  ${PROJECT_SOURCE_DIR}/assets/assets.qrc)
 
+if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    set(CXX_FILES_TO_REMOVE
+        ${PROJECT_SOURCE_DIR}/./src/videosurface.cpp
+    )
+    set(HEAD_FILES_TO_REMOVE
+        ${PROJECT_SOURCE_DIR}/./src/videosurface.h
+    )
+else()
+endif()
+
+foreach(file ${CXX_FILES_TO_REMOVE})
+    list(REMOVE_ITEM CXXSOURCES ${file})
+    # list(REMOVE_ITEM HEAD_FILES_TO_REMOVE ${file})
+endforeach()
+foreach(file ${HEAD_FILES_TO_REMOVE})
+    list(REMOVE_ITEM HEADERS ${file})
+endforeach()
+
 pkg_check_modules(3rd_lib REQUIRED
-        dtkwidget dtkcore gobject-2.0
+        dtk${DTK_VERSION}widget
+        dtk${DTK_VERSION}core
+        gobject-2.0
         pciaccess
 #        libv4l2
 #        libudev
@@ -140,11 +168,7 @@
 
 set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
 
-qt5_create_translation(QM ${CXXSOURCES} ${TS})
-
-if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
-    qt5_create_translation(QM ${CXXSOURCES} ${TS})
-endif ()
+qt_create_translation(QM ${CXXSOURCES} ${TS})
 
 # 设置不删除生成的文件夹内容文件
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
@@ -157,14 +181,17 @@
 target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES}
     pthread
     dl
-    imagevisualresult
+    imagevisualresult${IMAGEVISUALRESULT_SUFFIX}
     ${LIBS}
-    )
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Multimedia
+    Qt${QT_VERSION_MAJOR}::Svg
+    Qt${QT_VERSION_MAJOR}::SvgWidgets
+    Qt${QT_VERSION_MAJOR}::OpenGL
+    Qt${QT_VERSION_MAJOR}::OpenGLWidgets
+)
 
 include_directories("${CMAKE_INSTALL_PREFIX}/include")
-
-# 将工程与Qt模块链接起来
-qt5_use_modules(${TARGET_NAME} ${QtModule})
 
 #application
 install(TARGETS ${TARGET_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
deepin-camera (6.5.28) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 18:00:02 +0800

deepin-camera (6.5.27) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:30:46 +0800

deepin-camera (6.5.26) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 16:10:28 +0800

deepin-camera (6.5.25) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 11:13:23 +0800

deepin-camera (6.5.24) unstable; urgency=medium

  * Update version to 6.5.24.

 -- Tian ShiLin <tianshilin@uniontech.com>   Fri, 27 Jun 2025 17:19:24 +0800

## deepin-camera 6.5.31

=== debian/changelog ===
deepin-camera (6.5.31) unstable; urgency=medium

  * chore: Update desktop file translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:15:42 +0800

deepin-camera (6.5.30) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 19:55:41 +0800

deepin-camera (6.5.29) unstable; urgency=medium

  * chore: Update package URLs in linglong.yaml files for all architectures

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 05 Aug 2025 20:45:37 +0800
